import { jsx } from "react/jsx-runtime";
import { TokenGZONE as TokenGZONE$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenGZONE = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "GZONE", "data-name": "TokenGZONE", ...props, children: /* @__PURE__ */ jsx(TokenGZONE$1, { variant }) });
  }
);
TokenGZONE.displayName = "TokenGZONE";
Object.assign(TokenGZONE, { isGdsIcon: true });
export {
  TokenGZONE
};
